#include <iostream>
#include <cmath>
using namespace std;
int prebrojavanjeCifara(int n)
{
    int k=0;
    while(n>0)
    {
        n/=10;
        k++;
    }
    return k;
}

int main()
{
    int br1, br2,br3;
    cin>>br1>>br2>>br3;
    int l1,l2,l3;
    l1=prebrojavanjeCifara(br1);
    l2=prebrojavanjeCifara(br2);
    l3=prebrojavanjeCifara(br3);

    int broj1,broj2,broj3,broj4,broj5,broj6;
    broj1 = br1*pow(10,l2+l3)+br2*pow(10,l3)+br3;
    broj2 = br1*pow(10,l2+l3)+br3*pow(10,l2)+br2;
    broj3 = br2*pow(10,l1+l3)+br1*pow(10,l3)+br3;
    broj4 = br2*pow(10,l1+l3)+br3*pow(10,l1)+br1;
    broj5 = br3*pow(10,l2+l1)+br2*pow(10,l1)+br1;
    broj6 = br3*pow(10,l2+l1)+br1*pow(10,l2)+br2;

   cout<<max(max(max(broj1,broj2),max(broj3,broj4)),max(max(broj5,broj6),max(broj3,broj4)));
    return 0;
}